# Form implementation generated from reading ui file 'src/eric7/VirtualEnv/VirtualenvNameDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_VirtualenvNameDialog(object):
    def setupUi(self, VirtualenvNameDialog):
        VirtualenvNameDialog.setObjectName("VirtualenvNameDialog")
        VirtualenvNameDialog.resize(400, 450)
        VirtualenvNameDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(VirtualenvNameDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.envsList = QtWidgets.QListWidget(parent=VirtualenvNameDialog)
        self.envsList.setEditTriggers(QtWidgets.QAbstractItemView.EditTrigger.NoEditTriggers)
        self.envsList.setAlternatingRowColors(True)
        self.envsList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.NoSelection)
        self.envsList.setObjectName("envsList")
        self.verticalLayout.addWidget(self.envsList)
        self.label = QtWidgets.QLabel(parent=VirtualenvNameDialog)
        self.label.setObjectName("label")
        self.verticalLayout.addWidget(self.label)
        self.nameEdit = QtWidgets.QLineEdit(parent=VirtualenvNameDialog)
        self.nameEdit.setClearButtonEnabled(True)
        self.nameEdit.setObjectName("nameEdit")
        self.verticalLayout.addWidget(self.nameEdit)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=VirtualenvNameDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(VirtualenvNameDialog)
        self.buttonBox.accepted.connect(VirtualenvNameDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(VirtualenvNameDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(VirtualenvNameDialog)
        VirtualenvNameDialog.setTabOrder(self.envsList, self.nameEdit)

    def retranslateUi(self, VirtualenvNameDialog):
        _translate = QtCore.QCoreApplication.translate
        VirtualenvNameDialog.setWindowTitle(_translate("VirtualenvNameDialog", "Virtualenv Name"))
        self.envsList.setSortingEnabled(True)
        self.label.setText(_translate("VirtualenvNameDialog", "Enter a logical name for the virtual environment:"))
        self.nameEdit.setToolTip(_translate("VirtualenvNameDialog", "Enter a unique name for the virtual environment"))
        self.nameEdit.setPlaceholderText(_translate("VirtualenvNameDialog", "Name for the virtual environment"))
